Skip to main content
GET
List events

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 500

Partial text search across the resource's registered safe search fields. Whitespace is trimmed; literal percent and underscore characters are escaped. Search is applied after account, ownership, privilege, and object scope.

Required string length: 2 - 100
order
enum<string>
default:asc
Available options:
asc,
desc
sort
enum<string>
default:event_id

Registered field used for sorting.

Available options:
event_id,
type,
name,
active,
week_days,
day_time,
imei,
checked_value,
route_trigger,
zone_trigger,
routes,
zones,
notify_system,
notify_email,
notify_email_address,
notify_sms,
notify_sms_number,
notify_telegram,
email_template_id,
sms_template_id,
cmd_send,
cmd_gateway,
cmd_type,
cmd_string
type
string

Exact-match filter for type.

name
string

Exact-match filter for name.

active
string

Exact-match filter for active.

week_days
string

Exact-match filter for week_days.

day_time
string

Exact-match filter for day_time.

imei
string

Exact-match filter for imei.

checked_value
string

Exact-match filter for checked_value.

route_trigger
string

Exact-match filter for route_trigger.

zone_trigger
string

Exact-match filter for zone_trigger.

routes
string

Exact-match filter for routes.

zones
string

Exact-match filter for zones.

notify_system
string

Exact-match filter for notify_system.

notify_email
string

Exact-match filter for notify_email.

notify_email_address
string

Exact-match filter for notify_email_address.

notify_sms
string

Exact-match filter for notify_sms.

notify_sms_number
string

Exact-match filter for notify_sms_number.

notify_telegram
string

Exact-match filter for notify_telegram.

email_template_id
string

Exact-match filter for email_template_id.

sms_template_id
string

Exact-match filter for sms_template_id.

cmd_send
string

Exact-match filter for cmd_send.

cmd_gateway
string

Exact-match filter for cmd_gateway.

cmd_type
string

Exact-match filter for cmd_type.

cmd_string
string

Exact-match filter for cmd_string.

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object